Bug 223723 - ErrorDescriptionFactory.forSpan
ErrorDescriptionFactory.forSpan
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Hints
7.3
PC Linux
: P3 (vote)
: 7.3
Assigned To: apireviews
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 13:44 UTC by Jan Lahoda
Modified: 2012-12-22 02:29 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed API change. (3.80 KB, patch)
2012-12-12 13:47 UTC, Jan Lahoda
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2012-12-12 13:44:38 UTC
Currently, the correct warnings for Java (with the additional sub-fixes) can only be created for Tree's name or span. But, in some cases, the required span of the warning does not match to any given tree (e.g. in the javadoc), which forces use of spi.editor.hints' ErrorDescriptionFactory, which does not produce the enhanced ErrorDescription as does the spi.java.hints' ErrorDescriptionFactory. The proposal here is to introduce a new method to the s.j.h's EDF to produce ED from a span.
Comment 1 Jan Lahoda 2012-12-12 13:47:17 UTC
Created attachment 129265 [details]
Proposed API change.
Comment 2 Jan Lahoda 2012-12-12 13:47:46 UTC
Please review. Thanks.
Comment 3 Jan Lahoda 2012-12-21 09:39:27 UTC
Thanks for the review, integrated:
http://hg.netbeans.org/jet-main/rev/8119d41a8ca0
Comment 4 Quality Engineering 2012-12-22 02:29:12 UTC
Integrated into 'main-golden', will be available in build *201212220001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8119d41a8ca0
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #223723: introducing ErrorDescriptionFactory.forSpan


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo